Get resumable upload session status
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/uploads/{upload_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/uploads/{upload_id} \
--header 'Authorization: Bearer <token>'{
"upload_id": "<string>",
"kind": "file",
"source_kind": "restartable_file",
"target_path": "<string>",
"content_length": 123,
"accepted_bytes": 123,
"reserved_staging_bytes": 123,
"part_size": 123,
"part_count": 123,
"max_concurrency": 123,
"status": "created",
"conflict": "merge",
"checksum_algorithm": "sha256",
"limits": {
"max_upload_bytes": 123,
"max_part_bytes": 123,
"max_concurrency": 123,
"machine_staging_quota_bytes": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"user": "<string>",
"next_part": 123,
"archive_format": "tar",
"whole_checksum_sha256": "<string>"
}Files
Get resumable upload session status
GET
/
v1
/
machines
/
{id}
/
uploads
/
{upload_id}
Get resumable upload session status
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/uploads/{upload_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/uploads/{upload_id} \
--header 'Authorization: Bearer <token>'{
"upload_id": "<string>",
"kind": "file",
"source_kind": "restartable_file",
"target_path": "<string>",
"content_length": 123,
"accepted_bytes": 123,
"reserved_staging_bytes": 123,
"part_size": 123,
"part_count": 123,
"max_concurrency": 123,
"status": "created",
"conflict": "merge",
"checksum_algorithm": "sha256",
"limits": {
"max_upload_bytes": 123,
"max_part_bytes": 123,
"max_concurrency": 123,
"machine_staging_quota_bytes": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"user": "<string>",
"next_part": 123,
"archive_format": "tar",
"whole_checksum_sha256": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Upload session identifier.
Response
200 - application/json
Upload session status
Available options:
file, directory_tar Available options:
restartable_file, spooled_stream, directory_archive Normalized absolute machine destination path for this upload session.
Available options:
created, uploading, staged, completing, completed, aborted, expired, failed Available options:
merge, replace, error Available options:
sha256 Show child attributes
Show child attributes
Optional machine user associated with the upload request.
Available options:
tar